[android-components](../../index.md) / [org.mozilla.telemetry.net](../index.md) / [TelemetryClient](./index.md)

# TelemetryClient

`class TelemetryClient` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/telemetry/src/main/java/org/mozilla/telemetry/net/TelemetryClient.kt#L20)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `TelemetryClient(client: `[`Client`](../../mozilla.components.concept.fetch/-client/index.md)`)` |

### Functions

| Name | Summary |
|---|---|
| [uploadPing](upload-ping.md) | `fun uploadPing(configuration: `[`TelemetryConfiguration`](../../org.mozilla.telemetry.config/-telemetry-configuration/index.md)`, path: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, serializedPing: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
